Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class RowHolderBase

    java.lang.Object
      org.richfaces.renderkit.RowHolderBase

Direct Known Subclasses:
  RowHolder

    public abstract class RowHolderBase

extends Object

Constructor Summary
`RowHolderBase(javax.faces.context.FacesContext context)`
`RowHolderBase(javax.faces.context.FacesContext context, int currentRow)`

Method Summary
`javax.faces.context.FacesContext` | `getContext()`
`int` | `getCurrentRow()`
`int` | `getProcessCell()`
`abstract org.richfaces.component.Row` | `getRow()`
`boolean` | `hasWalkedOverRows()`
`int` | `nextCell()`
`int` | `nextRow()`
`void` | `resetCurrentRow()`
`void` | `resetProcessCell()`
`void` | `setCurrentRow(int currentRow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowHolderBase

    public RowHolderBase(javax.faces.context.FacesContext context)

### RowHolderBase

    public RowHolderBase(javax.faces.context.FacesContext context,
                         int currentRow)

Method Detail

### getContext

    public javax.faces.context.FacesContext getContext()

### getRow

    public abstract org.richfaces.component.Row getRow()

### getCurrentRow

    public int getCurrentRow()

### nextRow

    public int nextRow()

### setCurrentRow

    public void setCurrentRow(int currentRow)

### resetCurrentRow

    public void resetCurrentRow()

### getProcessCell

    public int getProcessCell()

### resetProcessCell

    public void resetProcessCell()

### nextCell

    public int nextCell()

### hasWalkedOverRows

    public boolean hasWalkedOverRows()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.